# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-CPAN-Meta-YAML
Version:	0.020
Release:	1.%{__distinit}%{__distvers}
Summary:	Read and write a subset of YAML for CPAN Meta files
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/CPAN-Meta-YAML
Source0:	https://www.cpan.org/modules/by-module/CPAN/CPAN-Meta-YAML-%{version}.tar.gz
BuildArch:	noarch
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime:
BuildRequires:	perl(B)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Tests:
BuildRequires:	perl(base)
# CPAN::Meta requires CPAN::Meta::YAML
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
%endif
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp) >= 0.19
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(lib)
BuildRequires:	perl(open)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
# Extra Tests:
# Don't run extra tests when bootstrapping as many of those
# tests' dependencies build-require this package
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(blib)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Version)
%endif
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Carp)
Requires:	perl(Fcntl)

%description
This module implements a subset of the YAML specification for use in reading
and writing CPAN metadata files like META.yml and MYMETA.yml. It should not be
used for any other general YAML parsing or generation task.

This module is currently derived from YAML::Tiny by Adam Kennedy. If there are
bugs in how it parses a particular META.yml file, please file a bug report in
the YAML::Tiny bug-tracker:
http://rt.cpan.org/NoAuth/ReportBug.html?Queue=YAML-Tiny

%prep
%setup -q -n CPAN-Meta-YAML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor UNINST=0
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
%if 0%{!?perl_bootstrap:1}
make test TEST_FILES="xt/*/*.t"
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::Meta::YAML.3*

%changelog
* Tue Dec 17 2024 Paul Howarth <paul@city-fan.org> - 0.020-1
- Update to 0.20
  - Generated from ETHER/YAML-Tiny-1.76.tar.gz

* Mon Dec 16 2024 Paul Howarth <paul@city-fan.org> - 0.019-1
- Update to 0.19
  - Generated from ETHER/YAML-Tiny-1.75.tar.gz
- Use author-independent source URL

* Thu Mar  9 2023 Paul Howarth <paul@city-fan.org> - 0.018-491
- Use SPDX-format license tag
- Use %%license unconditionally

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 0.018-416
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Switch upstream from search.cpan.org to metacpan.org
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with File::Temp < 0.21 and Test::More < 0.96

* Fri Aug 12 2016 Paul Howarth <paul@city-fan.org> - 0.018-366
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Dec 14 2015 Paul Howarth <paul@city-fan.org> - 0.018-1
- Update to 0.018
  - Generated from ETHER/YAML-Tiny-1.69.tar.gz

* Wed Jul  1 2015 Paul Howarth <paul@city-fan.org> - 0.016-4
- Perl 5.22 re-rebuild of bootstrapped packages

* Sat Jun 13 2015 Paul Howarth <paul@city-fan.org> - 0.016-2
- Perl 5.22 bootstrap

* Tue May 19 2015 Paul Howarth <paul@city-fan.org> - 0.016-1
- Update to 0.016
  - Generated from ETHER/YAML-Tiny-1.67.tar.gz

* Tue Mar 17 2015 Paul Howarth <paul@city-fan.org> - 0.014-1
- Update to 0.014
  - Generated from ETHER/YAML-Tiny-1.66.tar.gz
- Bundle a recent enough copy of File::Temp for testing on old distributions

* Sun Dec 14 2014 Paul Howarth <paul@city-fan.org> - 0.012-312
- Remove unused build-time dependency on YAML

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.012-3
- Use %%license where possible
- Drop %%defattr, redundant since rpm 4.4

* Tue Feb 25 2014 Paul Howarth <paul@city-fan.org> - 0.012-1
- Update to 0.012:
  - Generated from ETHER/YAML-Tiny-1.61.tar.gz

* Fri Feb 14 2014 Paul Howarth <paul@city-fan.org> - 0.011-1
- Update to 0.011:
  - Generated from ETHER/YAML-Tiny-1.60.tar.gz
- Instead of trying to patch around the need for a recent version of
  Test::More, bundle the version upstream wants and use that if necessary

* Mon Sep 23 2013 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010:
  - Generated from ETHER/YAML-Tiny-1.55.tar.gz
  - Fix broken test when copying from YAML-Tiny
  - Updated Makefile.PL logic to support PERL_NO_HIGHLANDER
- Drop module name patch, no longer needed

* Mon Sep 23 2013 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009:
  - Generated from ETHER/YAML-Tiny-1.55.tar.gz
  - Makefile.PL will use UNINST=1 on old perls that might have an old version
    incorrectly installed into the core library path
- Drop patch for building without Test::Requires, no longer needed
- Update patch for building with old Test::More, and add new patch to support
  building with Test::More < 0.94
- Drop redundant BRs: perl(Pod::Wordlist::hanekomu), perl(Test::Requires),
  perl(Test::Spelling) and aspell-en
- Add new test dependencies perl(IO::Handle), perl(IPC::Open3) and
  perl(Test::Portability::Files)
- Build with UNINST=0 to avoid build failures as we can't remove the system
  version of the package when building an rpm for a new version
- Add patch for incomplete conversion from YAML-Tiny
  (https://github.com/dagolden/CPAN-Meta-YAML/issues/1)

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.008-8
- Perl 5.16 post-bootstrap rebuild

* Wed Jun 20 2012 Paul Howarth <paul@city-fan.org> - 0.008-7
- Don't run the extra tests when bootstrapping

* Thu Mar 15 2012 Paul Howarth <paul@city-fan.org> - 0.008-1
- Update to 0.008:
  - Generated from ADAMK/YAML-Tiny-1.51.tar.gz
  - Updated from YAML-Tiny to fix compatibility with older Scalar::Util
- Drop upstreamed patch for old Scalar::Util versions
- Don't need to remove empty directories from the buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Never need to BR: aspell-en-gb
  - Don't need patch to support building with ExtUtils::MakeMaker < 6.17
- Update patch to support building without Test::Requires

* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.007-1
- Update to 0.007:
  - Documentation fix to replace missing abstract

* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006:
  - Set back configure_requires prerequisite for ExtUtils::MakeMaker
    from 6.30 to 6.17
- BR: perl(Test::Requires) where possible, and patch out the requirement for
  it otherwise
- BR: perl(Test::Spelling), perl(Pod::Wordlist::hanekomu) and aspell-en to
  enable the spell checker test
- Update patches

* Tue Dec 13 2011 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005:
  - Fix documentation to clarify that users are responsible for UTF-8
    encoding/decoding

* Wed Sep  7 2011 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004:
  - Generated from ADAMK/YAML-Tiny-1.50.tar.gz
- BR: perl(Test::Version) for additional test coverage
- Update patch for building with ExtUtils::MakeMaker < 6.30
- Add patch to support building with Test::More < 0.88
- Add patch from perl-YAML-Tiny to fix operation with Scalar::Util < 1.18

* Wed Aug 17 2011 Paul Howarth <paul@city-fan.org> - 0.003-7
- Install to vendor perl directories rather than private perl directories
 
* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 0.003-2
- Rebuild for perl 5.14.1 in Rawhide
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jan 25 2011 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
